Content analytics

Creators who posted, new, retained, returning and churned per week or month, with monthly cohorts

GET/api/public/v1/content/creator_activity
LiveAnswers from your brand's records now.

Operation id getContentCreatorActivity

Request

curl

curl "https://creator.growthdept.ai/api/public/v1/content/creator_activity" \
  -H "Authorization: Bearer gdc_..."

Parameters

NameInTypeNotes
organization_idqueryinteger
start_datequerystring (date)
end_datequerystring (date)
campaign_idsquerystring
platformquerystringOne of instagramtik_tokyoutubefacebooktwitter

Responses

200Success

FieldTypeNotes
dataobject
data.cohortsarray of object
data.cohorts[].[].cohortstring (date)
data.cohorts[].[].ratesarray of number, nullable
data.cohorts[].[].sizeinteger
data.granularitystringOne of weekmonth
data.periodsarray of object
data.periods[].[].activeinteger
data.periods[].[].churnedinteger
data.periods[].[].newinteger
data.periods[].[].partialboolean
data.periods[].[].period_startstring (date)
data.periods[].[].retainedinteger
data.periods[].[].retention_ratenumber, nullable
data.periods[].[].returninginteger
metaobject
meta.campaign_idsarray of integer
meta.organization_idinteger
meta.platformstring, nullable
meta.scopestringOne of familybrandcampaign
successboolean

Example

{
  "data": {
    "cohorts": [
      {
        "cohort": "2026-11-01",
        "rates": [
          0.15
        ],
        "size": 3
      }
    ],
    "granularity": "week",
    "periods": [
      {
        "active": 3,
        "churned": 3,
        "new": 3,
        "partial": true,
        "period_start": "2026-11-01",
        "retained": 3,
        "retention_rate": 0.15,
        "returning": 3
      }
    ]
  },
  "meta": {
    "campaign_ids": [
      3
    ],
    "organization_id": 1024,
    "platform": "string",
    "scope": "family"
  },
  "success": true
}

Errors: 401404422429with an error and usually a message. See errors.

Example values are made up from each field's type and name.